﻿@model OWebApplication.Models.AuthController.AuthorizationModel
@{
    ViewBag.PageTitle = Localizer["Авторизація"].Value;
    Layout = "~/Shared/ControllerLayout.cshtml";
}

<style>
    html, body { height: 100%; }
    body {
        display: flex;
        justify-content: center;
        overflow-y: auto;
    }
    
    div#auth-card { width: 90%; height: auto !important; }
    
    @@media (min-width: 768px) {
        div#auth-card { width: 400px; }
    }
</style>

<div class="py-4" id="auth-card">
    <div class="card align-self-center">
        <div class="card-body">
            <h5 class="card-title mb-3">
                <i class="fas fa-campground"></i>
                <span>@Localizer["Вхід у обліковий запис"]</span>
            </h5>
                
            <form method="post" asp-controller="Auth" asp-action="Authorization" asp-route-returnUrl="@Model.ReturnUrl">
                @Html.AntiForgeryToken()
                
                <div class="mb-3">
                    <div class="form-floating m-0">
                        <input class="form-control" type="email" asp-for="Email" placeholder="ivan.franko@example.com"/>
                        <label asp-for="Email">@Localizer["Електронна пошта"]</label>
                    </div>
                    <div class="form-text text-danger">@Html.ValidationMessageFor(m => m.Email)</div>
                </div>
                
                <div class="mb-3">
                    <div class="form-floating m-0">
                        <input class="form-control" type="password" asp-for="Password" placeholder="***********"/>
                        <label asp-for="Password">@Localizer["Пароль користувача"]</label>
                    </div>
                    <div class="form-text text-danger">@Html.ValidationMessageFor(m => m.Password)</div>
                </div>
                
                <div class="form-check form-switch mb-3">
                    <input class="form-check-input" type="checkbox" asp-for="RememberMe">
                    <label class="form-check-label" asp-for="RememberMe">@Localizer["Запам'ятати мене"]</label>
                </div>
                
                @* Actions button group *@
                <div class="d-grid">
                    <div class="btn-group">
                        <button class="btn btn-light btn-lg border" type="submit">
                            <i class="fas fa-fingerprint"></i>
                            <span>@Localizer["Авторизуватися"]</span>
                        </button>
                        <button type="button" class="btn btn-lg btn-light border dropdown-toggle dropdown-toggle-split"
                                style="max-width: 50px;" data-bs-toggle="dropdown"></button>
                        <ul class="dropdown-menu dropdown-menu-end">
                            <li><a class="dropdown-item" asp-controller="Auth" asp-action="Registration">
                                <i class="fas fa-people-carry"></i>
                                <span>@Localizer["Реєстрація"]</span>
                            </a></li>
                            <li><a class="dropdown-item" href="javascript:void(0)" data-bs-toggle="modal" data-bs-target="#passwordResetModal">
                                <i class="fas fa-unlock-alt"></i>
                                <span>@Localizer["Забули пароль?"]</span>
                            </a></li>
                        </ul>
                    </div>
                </div>
                @* /Actions button group *@
            </form>
        </div>
    </div>
</div>

<!-- Modal -->
<div class="modal fade" id="passwordResetModal" tabindex="-1">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">@Localizer["Відновлення доступу"]</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal"></button>
            </div>
            <div class="modal-body">
                <p class="m-0">@Localizer["Для відновлення доступу до системи у разі втрати облікових даних, будь ласка, зверніться до свого куратора (викладача) або до адміністратора системи."]</p>
            </div>
        </div>
    </div>
</div>